// (c) Copyright 1995-2023 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:module_ref:ComputeCoreWrapper:1.0
// IP Revision: 1

(* X_CORE_INFO = "ComputeCoreWrapper,Vivado 2020.2" *)
(* CHECK_LICENSE_TYPE = "cryptoprocessor_ComputeCoreWrapper_0_0,ComputeCoreWrapper,{}" *)
(* CORE_GENERATION_INFO = "cryptoprocessor_ComputeCoreWrapper_0_0,ComputeCoreWrapper,{x_ipProduct=Vivado 2020.2,x_ipVendor=xilinx.com,x_ipLibrary=module_ref,x_ipName=ComputeCoreWrapper,x_ipVersion=1.0,x_ipCoreRevision=1,x_ipLanguage=VERILOG,x_ipSimLanguage=MIXED}" *)
(* IP_DEFINITION_SOURCE = "module_ref" *)
(* DowngradeIPIdentifiedWarnings = "yes" *)
module cryptoprocessor_ComputeCoreWrapper_0_0 (
  clk,
  control_low_word,
  control_high_word,
  dina_ext_low_word,
  dina_ext_high_word,
  dout_ext_low_word,
  dout_ext_high_word,
  status
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME clk, FREQ_HZ 100000000, PHASE 0.000, CLK_DOMAIN cryptoprocessor_processing_system7_0_0_FCLK_CLK0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 clk CLK" *)
input wire clk;
input wire [31 : 0] control_low_word;
input wire [31 : 0] control_high_word;
input wire [31 : 0] dina_ext_low_word;
input wire [31 : 0] dina_ext_high_word;
output wire [31 : 0] dout_ext_low_word;
output wire [31 : 0] dout_ext_high_word;
output wire [31 : 0] status;

  ComputeCoreWrapper inst (
    .clk(clk),
    .control_low_word(control_low_word),
    .control_high_word(control_high_word),
    .dina_ext_low_word(dina_ext_low_word),
    .dina_ext_high_word(dina_ext_high_word),
    .dout_ext_low_word(dout_ext_low_word),
    .dout_ext_high_word(dout_ext_high_word),
    .status(status)
  );
endmodule
